Subject: bug#59200: reproducibility

From: ykonai <[email-masked]>
Date: Wed, 16 Nov 2022 13:46:08 +0100

Hi,

It turns out this was due to the fact that I had ironclad git cloned on
my computer, which was accidentally visible via :tree in the ASDF
configuration. ASDF detected that a different ironclad was used and
tried to compile-file to the gnu/store. I thought it was guix-related
since it did occur with both --pure and --container, but I was running
it with the default cwd share on.

Using --container --no-cwd is the solution to this problem.